Package ru.bitel.common

# Class TimeUtils

java.lang.Object
ru.bitel.common.TimeUtils

public class TimeUtils extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DATE_FORMAT_PATTERN_DDMMYYYY`
  `static final String`
  `DATE_FORMAT_PATTERN_DDMMYYYY_HHMM`
  `static final String`
  `DATE_FORMAT_PATTERN_DDMMYYYY_HHMMSS`
  `static final String`
  `DATE_FORMAT_PATTERN_YYYY_MM_DD`
  `static final String`
  `DATE_FORMAT_PATTERN_YYYY_MM_DD_HHMMSS`
  `static final Map<String,DateFormat>`
  `dateFormatCache`
  `static final String[]`
  `monthNames`
  `static final String[]`
  `monthNamesRod`
  `static final String[]`
  `weekDayName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TimeUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `checkDateIntervalsIntersection(Date date1, Date date2, Date dateFrom, Date dateTo)`
  Проверка пересечения двух интервалов дат.
  `static final boolean`
  `checkMasks(Calendar date, int hourOfDay, int dayOfWeek, int monthOfYear, int dayOfMonth)`
  Проверка соответствует ли указанная дата, всем заданным маскам (если маска равна 0, в проверке не участвует)
  `static final boolean`
  `checkMasks(Calendar date, int hourOfDay, int dayOfWeek, int monthOfYear, int dayOfMonth, long minute)`
  `static boolean`
  `checkMonthAndYearAndDaysDates(Date date1, Date date2)`
  Проверяет принадлежат ли обе даты одному месяцу, году и дню
  `static boolean`
  `checkMonthAndYearDates(Date date1, Date date2)`
  Проверяет принадлежат ли обе даты одному месяцу и году
  `static void`
  `checkPeriod(Date date1, Date date2)`
  `static boolean`
  `checkPeriodIntervalsIntersection(Period period1, Period period2)`
  `static final Calendar`
  `clear_HOUR_MIN_MIL_SEC(Calendar time)`
  Сброс времени на начало дня
  `static final Date`
  `clear_HOUR_MIN_MIL_SEC(Date time)`
  Сброс времени на начало дня
  `static final Date`
  `clear_MILLISECOND(Date time)`
  Округление времени до секунд
  `static final Calendar`
  `clear_MIN_MIL_SEC(Calendar time)`
  Устанавливает минуты, секунды и миллисекунды в ноль
  `static final Date`
  `clear_MIN_MIL_SEC(Date time)`
  Устанавливает минуты, секунды и миллисекунды в ноль
  `static void`
  `clearCalendarHour(Calendar cal)`
  `static long`
  `clearToBeginDay(Calendar date)`
  Получает дату-календарь, возвращает временную точку (в таймштампе), которая является началом указанного дня.
  `static int`
  `compare(Calendar value, Calendar compare, int field)`
  `static final Date`
  `convertCalendarToDate(Calendar calendar)`
  Преобразование объекта Calendar в java.util.Date
  `static final String`
  `convertCalendarToDateString(Calendar calendar)`
  Преобразование объекта Calendar в строку вида "yyyy-mm-dd"
  `static final String`
  `convertCalendarToDateTimeString(Calendar calendar)`
  Преобразование объекта Calendar в строку вида "yyyy-mm-dd hh:00:00"
  `static final Date`
  `convertCalendarToSqlDate(Calendar calendar)`
  Преобразование объекта Calendar в java.sql.Date
  `static final Timestamp`
  `convertCalendarToTimestamp(Calendar calendar)`
  Преобразование объекта java.util.Calendar в java.sql.Timestamp
  `static final Calendar`
  `convertDateToCalendar(Date date)`
  Преобразование java.util.Date в java.util.Calendar
  `static final LocalDate`
  `convertDateToLocalDate(Date date)`
  `static final LocalDateTime`
  `convertDateToLocalDateTime(Date date)`
  `static final long`
  `convertDateToMillisFrom(Calendar utilCalendar, Date dateFrom)`
  Конвертирует дату в миллисекунды начала (подневного) периода
  `static final long`
  `convertDateToMillisTo(Calendar utilCalendar, Date dateTo)`
  Конвертирует дату в миллисекунды конца (подневного) периода
  `static final Date`
  `convertDateToSqlDate(Date date)`
  Преобразование объекта java.util.Date в java.sql.Date
  `static final Timestamp`
  `convertDateToTimestamp(Date date)`
  Преобразование объекта java.util.Date в java.sql.Timestamp
  `static final Timestamp`
  `convertDateToTimestampSeconds(Date date)`
  Преобразование объекта java.util.Date в java.sql.Timestamp, миллисекунды отбрасываются.
  `static final Calendar`
  `convertFullStringToCalendar(String param)`
  Преобразование строки вида "dd.MM.yyyy HH':00:00'" в объект Calendar
  `static final Calendar`
  `convertLocalDateTimeToCalendar(LocalDateTime localDateTime)`
  `static final Date`
  `convertLocalDateTimeToDate(LocalDateTime localDateTime)`
  `static final Timestamp`
  `convertLocalDateTimeToTimestamp(LocalDateTime localDateTime)`
  `static final Calendar`
  `convertLocalDateToCalendar(LocalDate localDate)`
  `static final Date`
  `convertLocalDateToDate(LocalDate localDate)`
  `static final Date`
  `convertLocalDateToSqlDate(LocalDate localDate)`
  `static final Timestamp`
  `convertLocalDateToTimestamp(LocalDate localDate)`
  `static final Timestamp`
  `convertLongToTimestamp(long millis)`
  Преобразование long в java.sql.Timestamp
  `static final Timestamp`
  `convertLongToTimestamp(Long millis)`
  Преобразование java.lang.Long в java.sql.Timestamp
  `static final Calendar`
  `convertMillisToCalendar(long millis)`
  Преобразует дату в миллисекундах в `Calendar`. 0 преобразуется в NULL.
  `static final Date`
  `convertMillisToDate(long millis)`
  Преобразует дату в миллисекундах в `Date`. 0 преобразуется в NULL.
  `static final LocalDateTime`
  `convertSecEpochToLocalDateTime(long secEpoch)`
  `static final Date`
  `convertSQLDate(String inDate)`
  Преобразование строки вида "dd.MM.yyyy" в объект java.sql.Date
  `static final Calendar`
  `convertSqlDateToCalendar(Date date)`
  Превращает SQL-дату в календарь
  `static final Date`
  `convertSqlDateToDate(Date date)`
  Преобразование объекта java.sql.Date в java.util.Date
  `static final Calendar`
  `convertStringToCalendar(String param)`
  Преобразование строки вида "dd.mm.yyyy" в объект Calendar
  `static final Calendar`
  `convertStringToCalendar(String param, String pattern)`
  Преобразование строки в объект Calendar
  `static final Date`
  `convertStringToDate(String param)`
  Преобразование строки вида "dd.mm.yyyy" или "yyyy-MM-dd" в объект Date
  `static final Date`
  `convertStringToDate(String param, String pattern)`
  Преобразование строки в объект Date
  `static final Calendar`
  `convertTimestampToCalendar(Timestamp time)`
  Преобразование java.sql.Timestamp в java.util.Calendar
  `static final Date`
  `convertTimestampToDate(Timestamp time)`
  Преобразует java.sql.TimeStamp в java.util.Date
  `static final LocalDateTime`
  `convertTimestampToLocalDateTime(Timestamp time)`
  `static boolean`
  `dateBefore(Calendar date1, Calendar date2)`
  Проверка date1 invalid input: '<' date2 (С ТОЧНОСТЬЮ ДО ДНЯ!!!).
  `static boolean`
  `dateBefore(Date date1, Date date2)`
  Проверка date1 invalid input: '<' date2 (С ТОЧНОСТЬЮ ДО ДНЯ!!!)
  `static boolean`
  `dateBeforeOrEq(Calendar date1, Calendar date2)`
  Проверка date1 invalid input: '<'= date2 (С ТОЧНОСТЬЮ ДО ДНЯ!!!)
  `static boolean`
  `dateBeforeOrEq(Date date1, Date date2)`
  Проверка date1 invalid input: '<'= date2 (С ТОЧНОСТЬЮ ДО ДНЯ!!!)
  `static boolean`
  `dateEqual(Calendar date1, Calendar date2)`
  Проверка date1 == date2 (С ТОЧНОСТЬЮ ДО ДНЯ!!!)
  `static boolean`
  `dateEqual(Date date1, Date date2)`
  Проверка date1 == date2 (С ТОЧНОСТЬЮ ДО ДНЯ!!!)
  `static boolean`
  `dateHourEqual(Calendar dtime1, Calendar dtime2)`
  Проверка date1 == date2 (С ТОЧНОСТЬЮ ДО ЧАСА ДНЯ!!!)
  `static final boolean`
  `dateInPeriod(LocalDate checking, Period period)`
  `static final boolean`
  `dateInPeriod(LocalDateTime checking, PeriodWithTime period)`
  `static final boolean`
  `dateInPeriod(Date checking, Period period)`
  `static final boolean`
  `dateInRange(Calendar checking, Calendar date1, Calendar date2)`
  Проверка входит ли проверяемая дата в заданный период (С ТОЧНОСТЬЮ ДО ДНЯ!!!).
  `static final boolean`
  `dateInRange(Date checking, Date date1, Date date2)`
  Проверка входит ли проверяемая дата в заданный период (С ТОЧНОСТЬЮ ДО ДНЯ!!!).
  `static final boolean`
  `dateInRangeWithTime(Date checking, Date date1, Date date2)`
  Проверка входит ли проверяемая дата в заданный период с учетом времени суток
  Внимание: рассматривается период, где null обозначает бесконечную границу периода.
  `static final int`
  `daysDelta(Calendar dayFrom, Calendar dayTo)`
  Возвращает разницу в днях
  `static final int`
  `daysDelta(Date dateFrom, Date dateTo)`
  Возвращает разницу в днях
  `static void`
  `floor(Calendar calendar, int field)`
  Округление в меньшую сторону до указанного поля.
  floor( calendar, Calendar.DATE ) аналогична `clear_HOUR_MIN_MIL_SEC(Calendar)`.
  `static final String`
  `format(LocalDate date, String pattern)`
  `static String`
  `format(LocalDateTime localDateTime, String pattern)`
  `static String`
  `format(LocalDateTime localDateTime, DateTimeFormatter formatter)`
  `static final String`
  `format(Calendar date, String pattern)`
  `static final String`
  `format(Calendar date, DateFormat format)`
  `static final String`
  `format(Date date, String pattern)`
  Формирует строку с датой по заданному шаблону
  `static final String`
  `format(Date date, String pattern, TimeZone zone)`
  `static final String`
  `format(Date date, DateFormat format)`
  `static String`
  `formatCount(int field, int count)`
  `static final String`
  `formatDate(LocalDate date)`
  `static final String`
  `formatDate(Calendar date)`
  Форматируем дату по шаблону "dd.MM.yyyy"
  `static final String`
  `formatDate(Date date)`
  Форматируем дату по шаблону "dd.MM.yyyy"
  `static final String`
  `formatDeltaTime(long delta)`
  Форматирует разницу во времени
  `static String`
  `formatFullDate(Date inDate)`
  Фоорматирует дату по шаблону dd.MM.yyy HH:mm:ss
  `static final String`
  `formatPeriod(Calendar date1, Calendar date2)`
  Формирует строку период
  `static final String`
  `formatPeriod(Date date1, Date date2)`
  Формирует строку период
  `static final String`
  `formatPeriod(Period period)`
  `static final String`
  `formatPeriodWithTime(Date date1, Date date2)`
  `static final String`
  `formatPeriodWithTime(Period period)`
  `static final String`
  `formatPeriodWithTime(PeriodWithTime period)`
  `static String`
  `formatSecondsToDayHourMinute(long seconds)`
  `static final String`
  `formatSQLDate(Calendar date)`
  Форматрирование даты по шаблону yyyy-MM-dd
  `static final String`
  `formatSQLDate(Date date)`
  Форматрирование даты по шаблону yyyy-MM-dd
  `static final String`
  `formatTimestamp(Timestamp time, String format)`
  `static final DateFormat`
  `getDateFormat(String pattern)`
  Преобразует входную строку в DateFormat.
  `static final DateFormat`
  `getDateFormat(String pattern, TimeZone zone)`
  Преобразует входную строку в DateFormat с установленной указанной таймзоной.
  `static DateTimeFormatter`
  `getDateTimeFormatter(String format)`
  `static final int`
  `getDayOfMonthMask(Calendar date)`
  Битовая маска дня месяца
  `static final int`
  `getDayOfWeekMask(Calendar date)`
  Битовая маска дня недели
  `static final Calendar`
  `getEndDay(Calendar date)`
  Сброс времени на конец дня c точностью до сукунды (23:59:59.0)
  `static final Date`
  `getEndDay(Date date)`
  Сброс времени на конец дня c точностью до сукунды (23:59:59.0)
  `static final Calendar`
  `getEndMonth(Calendar date)`
  Возвращает дату конца месяца, соответствующего входной дате
  `static final Date`
  `getEndMonth(Date date)`
  Возвращает дату конца месяца, соответствующего входной дате
  `static final int`
  `getHourOfDayMask(Calendar date)`
  Битовая маска часа суток
  `static final long`
  `getMinuteMask(Calendar date)`
  Битовая маска минут
  `static final int`
  `getMonthOfYearMask(Calendar date)`
  Битовая маска месяца года
  `static final Calendar`
  `getNextDay(Calendar date)`
  Возвращает дату следующего дня входной даты
  `static final Date`
  `getNextDay(Date date)`
  Следующий от даты день
  `static final Calendar`
  `getNextMonth(Calendar date)`
  Возвращает дату следующего месяца входной даты
  `static final Date`
  `getNextMonth(Date date)`
  `static final float`
  `getPart(long fromDate, long toDate, long periodFrom, long periodTo)`
  `static final float`
  `getPart(Calendar fromDate, Calendar toDate, Calendar periodFrom, Calendar periodTo)`
  `static LocalDate`
  `getPeriodFrom(LocalDate date, String mode, int value)`
  `static LocalDate`
  `getPeriodTo(LocalDate date, String mode, int value)`
  `static final Calendar`
  `getPrevDay(Calendar date)`
  Предыдущий от даты день
  `static final Date`
  `getPrevDay(Date date)`
  Предыдущий от даты день
  `static final Calendar`
  `getStartMonth(Calendar date)`
  Возвращает дату начала месяца, соответствующего входной дате
  `static final Date`
  `getStartMonth(Date date)`
  Возвращает дату начала месяца, соответствующего входной дате
  `static final int`
  `hourDelta(Calendar hourFrom, Calendar hourTo)`
  Возвращает длительность периода между hourFrom и hourTo в часах
  `static long`
  `hourToMillis(long millis)`
  Возвращает количество милисекунд на границе часа.
  `static final int`
  `monthsDelta(Calendar dateFrom, Calendar dateTo)`
  Возвращает длительность периода между dateFrom и dateTo в месяцах (0 - в одном месяце, invalid input: '<'0 - dateFrom позже чем dateTo).
  `static final int`
  `monthsDelta(Date dateFrom, Date dateTo)`
  Возвращает длительность периода между dateFrom и dateTo в месяцах (0 - в одном месяце, invalid input: '<'0 - dateFrom позже чем dateTo).
  `static final void`
  `moveToEndDay(Calendar date)`
  Установка времени на конец суток, т.е. 23:59:59.999.
  `static final Date`
  `moveToEndDay(Date date)`
  Установка времени на конец суток, т.е. 23:59:59.999.
  `static final void`
  `moveToEndOfMonth(Calendar date)`
  Устанавливает дату на последний день месяца
  `static final void`
  `moveToStartNextDay(Calendar date)`
  Увеличивает date на 1 день и сбрасывает время в 00:00:00.0
  `static Date`
  `nowPlusPeriod(int period, int value)`
  прибавление к текущему времени нужного промежутка
  `static Calendar`
  `parseCalendar(String str, String format)`
  Преобразует входную строку в Calendar по определенному формату
  `static Calendar`
  `parseCalendar(String str, DateFormat format)`
  Преобразует входную строку в Calendar по определенному формату
  `static Date`
  `parseDate(String str, String format)`
  Возвращает дату, преобразованную из строки по определенному формату
  `static Date`
  `parseDate(String str, String format, TimeZone zone)`
  Возвращает дату, преобразованную из строки по определенному формату в указанной таймзоне (например, для naive представления даты)
  `static Date`
  `parseDate(String str, DateFormat format)`
  Возвращает дату, преобразованную из строки по определенному формату
  `static LocalDate`
  `parseLocalDate(String str)`
  `static LocalDate`
  `parseLocalDate(String str, String format)`
  `static LocalDateTime`
  `parseLocalDateTime(String str, String format)`
  `static Period`
  `parsePeriod(String str)`
  `static final boolean`
  `periodInRange(Calendar checkingDate1, Calendar checkingDate2, Calendar date1, Calendar date2)`
  Проверка входит ли проверяемый период в заданный
  `static final boolean`
  `periodInRange(Date checkingDate1, Date checkingDate2, Date date1, Date date2)`
  Проверка входит ли проверяемый период в заданный.
  `static Calendar`
  `plusPeriod(Calendar date, int period, int value)`
  Прибавление к заданному значению календаря какого-то значения.
  `static Date`
  `plusPeriod(Date date, int period, int value)`
  Прибавление к заданному значению даты какого-то значения.
  `static long`
  `rountToSeconds(long millis)`
  `static Date`
  `subtractHoursFromNow(int hours)`
  Вычетает заданое количество часов из текущего времени
  `static final boolean`
  `timeInRange(Date checking, Date date1, Date date2)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### monthNames

    public static final String[] monthNames

  - ### monthNamesRod

    public static final String[] monthNamesRod

  - ### weekDayName

    public static final String[] weekDayName

  - ### DATE_FORMAT_PATTERN_YYYY_MM_DD

    public static final String DATE_FORMAT_PATTERN_YYYY_MM_DD
    See Also:
      - Constant Field Values

  - ### DATE_FORMAT_PATTERN_YYYY_MM_DD_HHMMSS

    public static final String DATE_FORMAT_PATTERN_YYYY_MM_DD_HHMMSS
    See Also:
      - Constant Field Values

  - ### DATE_FORMAT_PATTERN_DDMMYYYY

    public static final String DATE_FORMAT_PATTERN_DDMMYYYY
    See Also:
      - Constant Field Values

  - ### DATE_FORMAT_PATTERN_DDMMYYYY_HHMMSS

    public static final String DATE_FORMAT_PATTERN_DDMMYYYY_HHMMSS
    See Also:
      - Constant Field Values

  - ### DATE_FORMAT_PATTERN_DDMMYYYY_HHMM

    public static final String DATE_FORMAT_PATTERN_DDMMYYYY_HHMM
    See Also:
      - Constant Field Values

  - ### dateFormatCache

    public static final Map<String,DateFormat> dateFormatCache

- ## Constructor Details

  - ### TimeUtils

    public TimeUtils()

- ## Method Details

  - ### getDayOfWeekMask

    public static final int getDayOfWeekMask(Calendar date)
    Битовая маска дня недели
    Parameters:
      `date` - дата
    Returns:
      1(понедельник), 2(вторник), ... 64(воскресенье)

  - ### getDayOfMonthMask

    public static final int getDayOfMonthMask(Calendar date)
    Битовая маска дня месяца
    Parameters:
      `date` - дата
    Returns:
      1(01), 2(02), 4(03), 8(04), ... 2147483648(31)

  - ### getHourOfDayMask

    public static final int getHourOfDayMask(Calendar date)
    Битовая маска часа суток
    Parameters:
      `date` -
    Returns:
      1(00), 2(01), 4(02), ... 8388608(23)

  - ### getMonthOfYearMask

    public static final int getMonthOfYearMask(Calendar date)
    Битовая маска месяца года
    Parameters:
      `date` -
    Returns:
      1(январь), 2(февраль), ... 2048(декабрь)

  - ### getMinuteMask

    public static final long getMinuteMask(Calendar date)
    Битовая маска минут
    Parameters:
      `date` -
    Returns:

  - ### checkMasks

    public static final boolean checkMasks(Calendar date, int hourOfDay, int dayOfWeek, int monthOfYear, int dayOfMonth)
    Проверка соответствует ли указанная дата, всем заданным маскам (если маска равна 0, в проверке не участвует)
    Parameters:
      `date` - проверяемая дата
      `hourOfDay` - маска часа
      `dayOfWeek` - маска дня неделе
      `monthOfYear` - маска месяца года
      `dayOfMonth` - маска дня месяца
    Returns:
      true - соотвествует или false - если нет

  - ### checkMasks

    public static final boolean checkMasks(Calendar date, int hourOfDay, int dayOfWeek, int monthOfYear, int dayOfMonth, long minute)

  - ### convertCalendarToDateString

    public static final String convertCalendarToDateString(Calendar calendar)
    Преобразование объекта Calendar в строку вида "yyyy-mm-dd"
    Parameters:
      `calendar` - исходный объект
    Returns:
      строка в виде "yyyy-mm-dd", если calendar != null, иначе "0000-00-00"

  - ### convertCalendarToDateTimeString

    public static final String convertCalendarToDateTimeString(Calendar calendar)
    Преобразование объекта Calendar в строку вида "yyyy-mm-dd hh:00:00"
    Parameters:
      `calendar` - исходный объект
    Returns:
      строка в виде "yyyy-mm-dd hh:00:00", если calendar != null, иначе "0000-00-00 00:00:00"

  - ### format

    public static String format(LocalDateTime localDateTime, String pattern)

  - ### format

    public static String format(LocalDateTime localDateTime, DateTimeFormatter formatter)

  - ### format

    public static final String format(Date date, String pattern)
    Формирует строку с датой по заданному шаблону
    Parameters:
      `date` - - исходная дата
      `pattern` - - шаблон даты
    Returns:
      строку с датой, если исходная дата != null, иначе пустую строку

  - ### format

    public static final String format(LocalDate date, String pattern)

  - ### format

    public static final String format(Date date, String pattern, TimeZone zone)

  - ### format

    public static final String format(Date date, DateFormat format)

  - ### format

    public static final String format(Calendar date, String pattern)

  - ### format

    public static final String format(Calendar date, DateFormat format)

  - ### formatTimestamp

    public static final String formatTimestamp(Timestamp time, String format)

  - ### formatDate

    public static final String formatDate(Calendar date)
    Форматируем дату по шаблону "dd.MM.yyyy"
    Parameters:
      `date` - исходная дата
    Returns:
      строка в формате "dd.MM.yyyy", или пустая строка если исходная дата null

  - ### formatDate

    public static final String formatDate(LocalDate date)

  - ### formatDate

    public static final String formatDate(Date date)
    Форматируем дату по шаблону "dd.MM.yyyy"
    Parameters:
      `date` - исходная дата
    Returns:
      строка в формате "dd.MM.yyyy", или пустая строка если исходная дата null

  - ### formatSQLDate

    public static final String formatSQLDate(Date date)
    Форматрирование даты по шаблону yyyy-MM-dd
    Parameters:
      `date` -
    Returns:

  - ### formatSQLDate

    public static final String formatSQLDate(Calendar date)
    Форматрирование даты по шаблону yyyy-MM-dd
    Parameters:
      `date` -
    Returns:

  - ### formatPeriod

    public static final String formatPeriod(Calendar date1, Calendar date2)
    Формирует строку период
    Parameters:
      `date1` - начала периода
      `date2` - конец периода
    Returns:
      строка "dd.MM.yyyy-dd.MM.yyyy", если один из параметров равен null, вместо соответствующей даты выводится пустая строка, например "-dd.MM.yyyy", "dd.MM.yyyy-", "-"

  - ### formatPeriod

    public static final String formatPeriod(Date date1, Date date2)
    Формирует строку период
    Parameters:
      `date1` - начала периода
      `date2` - конец периода
    Returns:
      строка "dd.MM.yyyy-dd.MM.yyyy", если один из параметров равен null, вместо соответствующей даты выводится пустая строка, например "-dd.MM.yyyy", "dd.MM.yyyy-", "-"

  - ### formatPeriod

    public static final String formatPeriod(Period period)

  - ### formatPeriodWithTime

    public static final String formatPeriodWithTime(Date date1, Date date2) throws Exception
    Throws:
      `Exception`

  - ### formatPeriodWithTime

    public static final String formatPeriodWithTime(Period period) throws Exception
    Throws:
      `Exception`

  - ### formatPeriodWithTime

    public static final String formatPeriodWithTime(PeriodWithTime period) throws Exception
    Throws:
      `Exception`

  - ### formatFullDate

    public static String formatFullDate(Date inDate)
    Фоорматирует дату по шаблону dd.MM.yyy HH:mm:ss
    Parameters:
      `inDate` - дата (sql-таймштамп)
    Returns:

  - ### formatDeltaTime

    public static final String formatDeltaTime(long delta)
    Форматирует разницу во времени
    Parameters:
      `delta` - разница во времени в секундах(внимание делить на 1000 надо)
    Returns:

  - ### convertCalendarToDate

    public static final Date convertCalendarToDate(Calendar calendar)
    Преобразование объекта Calendar в java.util.Date
    Parameters:
      `calendar` - исходный объект Calendar
    Returns:
      объект типа java.util.Date или null если исходный объект null

  - ### convertSqlDateToDate

    public static final Date convertSqlDateToDate(Date date)
    Преобразование объекта java.sql.Date в java.util.Date
    Parameters:
      `date` - исходный объект
    Returns:
      объект типа java.util.Date или null если исходный объект null
    Since:
      ver. 4.5

  - ### parseDate

    public static Date parseDate(String str, String format)
    Возвращает дату, преобразованную из строки по определенному формату
    Parameters:
      `str` - строка
      `format` - формат
    Returns:

  - ### parseDate

    public static Date parseDate(String str, String format, TimeZone zone)
    Возвращает дату, преобразованную из строки по определенному формату в указанной таймзоне (например, для naive представления даты)
    Parameters:
      `str` - строка
      `format` - формат
    Returns:

  - ### parseLocalDate

    public static LocalDate parseLocalDate(String str)

  - ### parseLocalDate

    public static LocalDate parseLocalDate(String str, String format)

  - ### parseLocalDateTime

    public static LocalDateTime parseLocalDateTime(String str, String format)

  - ### parsePeriod

    public static Period parsePeriod(String str)

  - ### getDateTimeFormatter

    public static DateTimeFormatter getDateTimeFormatter(String format)

  - ### parseDate

    public static Date parseDate(String str, DateFormat format)
    Возвращает дату, преобразованную из строки по определенному формату
    Parameters:
      `str` - строка
      `format` - формат
    Returns:

  - ### convertDateToCalendar

    public static final Calendar convertDateToCalendar(Date date)
    Преобразование java.util.Date в java.util.Calendar
    Parameters:
      `date` - исходный объект
    Returns:
      java.sql.Calendar, если date != null, иначе null

  - ### convertStringToCalendar

    public static final Calendar convertStringToCalendar(String param)
    Преобразование строки вида "dd.mm.yyyy" в объект Calendar
    Parameters:
      `param` - входная строка
    Returns:
      java.util.Calendar если строка правильная, иначе null

  - ### convertStringToDate

    public static final Date convertStringToDate(String param)
    Преобразование строки вида "dd.mm.yyyy" или "yyyy-MM-dd" в объект Date
    Parameters:
      `param` - входная строка
    Returns:
      java.util.Date если строка правильная, иначе null

  - ### convertStringToCalendar

    public static final Calendar convertStringToCalendar(String param, String pattern)
    Преобразование строки в объект Calendar
    Parameters:
      `param` - входная строка
      `pattern` - шаблон строки, пример шаблона "yyyy-MM-dd", дополнительную информацию о шаблонах см. в описании класса java.text.SimpleDateFormat
    Returns:
      java.util.Calendar или null

  - ### convertStringToDate

    public static final Date convertStringToDate(String param, String pattern)
    Преобразование строки в объект Date
    Parameters:
      `param` - входная строка
      `pattern` - шаблон строки, пример шаблона "yyyy-MM-dd", дополнительную информацию о шаблонах см. в описании класса java.text.SimpleDateFormat
    Returns:
      java.util.Date или null

  - ### convertFullStringToCalendar

    public static final Calendar convertFullStringToCalendar(String param)
    Преобразование строки вида "dd.MM.yyyy HH':00:00'" в объект Calendar
    Parameters:
      `param` - входная строка
    Returns:
      java.util.Calendar или null

  - ### convertTimestampToCalendar

    public static final Calendar convertTimestampToCalendar(Timestamp time)
    Преобразование java.sql.Timestamp в java.util.Calendar
    Parameters:
      `time` - исходный объект
    Returns:
      java.sql.Calendar, если time != null, иначе null

  - ### convertTimestampToDate

    public static final Date convertTimestampToDate(Timestamp time)
    Преобразует java.sql.TimeStamp в java.util.Date
    Parameters:
      `time` - преобразуемый объект
    Returns:
      null - если аргумент null

  - ### convertTimestampToLocalDateTime

    public static final LocalDateTime convertTimestampToLocalDateTime(Timestamp time)

  - ### parseCalendar

    public static Calendar parseCalendar(String str, String format)
    Преобразует входную строку в Calendar по определенному формату
    Parameters:
      `str` - входная строка
      `format` - формат
    Returns:
      null - если неверная входная строка

  - ### parseCalendar

    public static Calendar parseCalendar(String str, DateFormat format)
    Преобразует входную строку в Calendar по определенному формату
    Parameters:
      `str` - входная строка
      `format` - формат
    Returns:
      null - если неверная входная строка

  - ### clear_MIN_MIL_SEC

    public static final Calendar clear_MIN_MIL_SEC(Calendar time)
    Устанавливает минуты, секунды и миллисекунды в ноль
    Parameters:
      `time` - исходный объект
    Returns:

  - ### clear_MIN_MIL_SEC

    public static final Date clear_MIN_MIL_SEC(Date time)
    Устанавливает минуты, секунды и миллисекунды в ноль
    Parameters:
      `time` - исходный объект
    Returns:

  - ### clear_HOUR_MIN_MIL_SEC

    public static final Calendar clear_HOUR_MIN_MIL_SEC(Calendar time)
    Сброс времени на начало дня
    Parameters:
      `time` - исходная дата
    Returns:
      сброшенная дата (часы=минуты=секунды=мсек=0)

  - ### clear_HOUR_MIN_MIL_SEC

    public static final Date clear_HOUR_MIN_MIL_SEC(Date time)
    Сброс времени на начало дня
    Parameters:
      `time` - исходная дата
    Returns:
      сброшенная дата (часы=минуты=секунды=мсек=0)

  - ### clear_MILLISECOND

    public static final Date clear_MILLISECOND(Date time)
    Округление времени до секунд
    Parameters:
      `time` - исходная дата
    Returns:
      сброшенное время (мсек=0)

  - ### getEndDay

    public static final Calendar getEndDay(Calendar date)
    Сброс времени на конец дня c точностью до сукунды (23:59:59.0)

  - ### getEndDay

    public static final Date getEndDay(Date date)
    Сброс времени на конец дня c точностью до сукунды (23:59:59.0)

  - ### getStartMonth

    public static final Calendar getStartMonth(Calendar date)
    Возвращает дату начала месяца, соответствующего входной дате
    Parameters:
      `date` - дата
    Returns:

  - ### getStartMonth

    public static final Date getStartMonth(Date date)
    Возвращает дату начала месяца, соответствующего входной дате
    Parameters:
      `date` - дата
    Returns:

  - ### getEndMonth

    public static final Date getEndMonth(Date date)
    Возвращает дату конца месяца, соответствующего входной дате
    Parameters:
      `date` - дата
    Returns:

  - ### getEndMonth

    public static final Calendar getEndMonth(Calendar date)
    Возвращает дату конца месяца, соответствующего входной дате
    Parameters:
      `date` - дата
    Returns:

  - ### convertSqlDateToCalendar

    public static final Calendar convertSqlDateToCalendar(Date date)
    Превращает SQL-дату в календарь
    Parameters:
      `date` - - java.sql.Date
    Returns:
      - java.util.Calendar

  - ### getNextDay

    public static final Calendar getNextDay(Calendar date)
    Возвращает дату следующего дня входной даты
    Parameters:
      `date` - дата
    Returns:

  - ### getNextMonth

    public static final Calendar getNextMonth(Calendar date)
    Возвращает дату следующего месяца входной даты
    Parameters:
      `date` - дата
    Returns:

  - ### getNextMonth

    public static final Date getNextMonth(Date date)

  - ### getPrevDay

    public static final Calendar getPrevDay(Calendar date)
    Предыдущий от даты день
    Parameters:
      `date` -
    Returns:

  - ### getPrevDay

    public static final Date getPrevDay(Date date)
    Предыдущий от даты день
    Parameters:
      `date` - какой-то день
    Returns:
      на день раньше от какого-то дня

  - ### getNextDay

    public static final Date getNextDay(Date date)
    Следующий от даты день
    Parameters:
      `date` - какой-то день
    Returns:
      на день позже какого-то дня

  - ### convertCalendarToSqlDate

    public static final Date convertCalendarToSqlDate(Calendar calendar)
    Преобразование объекта Calendar в java.sql.Date
    Parameters:
      `calendar` - исходный объект
    Returns:
      java.sql.Date, если calendar != null, иначе null

  - ### convertLocalDateToSqlDate

    public static final Date convertLocalDateToSqlDate(LocalDate localDate)

  - ### convertDateToSqlDate

    public static final Date convertDateToSqlDate(Date date)
    Преобразование объекта java.util.Date в java.sql.Date
    Parameters:
      `date` - исходный объект
    Returns:
      java.sql.Date, если date != null, иначе null

  - ### convertSQLDate

    public static final Date convertSQLDate(String inDate)
    Преобразование строки вида "dd.MM.yyyy" в объект java.sql.Date
    Parameters:
      `inDate` - входная строка
    Returns:
      java.sql.Date или null

  - ### convertCalendarToTimestamp

    public static final Timestamp convertCalendarToTimestamp(Calendar calendar)
    Преобразование объекта java.util.Calendar в java.sql.Timestamp
    Parameters:
      `calendar` - исходный объект
    Returns:
      java.sql.Timestamp, если calendar != null, иначе null

  - ### convertDateToTimestamp

    public static final Timestamp convertDateToTimestamp(Date date)
    Преобразование объекта java.util.Date в java.sql.Timestamp
    Parameters:
      `date` - исходный объект
    Returns:
      java.sql.Timestamp, если date != null, иначе null

  - ### convertDateToTimestampSeconds

    public static final Timestamp convertDateToTimestampSeconds(Date date)
    Преобразование объекта java.util.Date в java.sql.Timestamp, миллисекунды отбрасываются.
    Parameters:
      `date` - исходный объект
    Returns:
      java.sql.Timestamp, если date != null, иначе null

  - ### convertLongToTimestamp

    public static final Timestamp convertLongToTimestamp(long millis)
    Преобразование long в java.sql.Timestamp
    Parameters:
      `millis` - число миллисекунд с 1970 года
    Returns:
      java.sql.Timestamp

  - ### convertLongToTimestamp

    public static final Timestamp convertLongToTimestamp(Long millis)
    Преобразование java.lang.Long в java.sql.Timestamp
    Parameters:
      `millis` - исходный объект
    Returns:
      java.sql.Timestamp, если millis != null, иначе null

  - ### getDateFormat

    public static final DateFormat getDateFormat(String pattern, TimeZone zone)
    Преобразует входную строку в DateFormat с установленной указанной таймзоной.
    Parameters:
      `pattern` -
    Returns:
      null - если входная строка некорректна

  - ### getDateFormat

    public static final DateFormat getDateFormat(String pattern)
    Преобразует входную строку в DateFormat.
    Parameters:
      `pattern` -
    Returns:
      null - если входная строка некорректна

  - ### daysDelta

    public static final int daysDelta(Calendar dayFrom, Calendar dayTo)
    Возвращает разницу в днях
    Parameters:
      `dayFrom` -
      `dayTo` -
    Returns:

  - ### daysDelta

    public static final int daysDelta(Date dateFrom, Date dateTo)
    Возвращает разницу в днях
    Parameters:
      `dateFrom` - начальная дата
      `dateTo` - конечная дата
    Returns:

  - ### hourDelta

    public static final int hourDelta(Calendar hourFrom, Calendar hourTo)
    Возвращает длительность периода между hourFrom и hourTo в часах
    Parameters:
      `hourFrom` - дата начала периода
      `hourTo` - дата окончания периода
    Returns:
      длительность периода в часах

  - ### monthsDelta

    public static final int monthsDelta(Date dateFrom, Date dateTo)
    Возвращает длительность периода между dateFrom и dateTo в месяцах (0 - в одном месяце, invalid input: '<'0 - dateFrom позже чем dateTo).
    Parameters:
      `dateFrom` - дата начала периода
      `dateTo` - дате окончания периода
    Returns:
      длительность периода в месяецах

  - ### monthsDelta

    public static final int monthsDelta(Calendar dateFrom, Calendar dateTo)
    Возвращает длительность периода между dateFrom и dateTo в месяцах (0 - в одном месяце, invalid input: '<'0 - dateFrom позже чем dateTo).
    Parameters:
      `dateFrom` - дата начала периода
      `dateTo` - дате окончания периода
    Returns:
      длительность периода в месяцах

  - ### getPart

    public static final float getPart(long fromDate, long toDate, long periodFrom, long periodTo)

  - ### getPart

    public static final float getPart(Calendar fromDate, Calendar toDate, Calendar periodFrom, Calendar periodTo)

  - ### dateBefore

    public static boolean dateBefore(Calendar date1, Calendar date2)
    Проверка date1 invalid input: '<' date2 (С ТОЧНОСТЬЮ ДО ДНЯ!!!).
    Внимание: если хоть одна дата null — будет false, так что null не является "бесконечностью".
    Parameters:
      `date1` - - первая дата
      `date2` - - вторая дата
    Returns:
      true - date1 invalid input: '<' date2, иначе false

  - ### dateBefore

    public static boolean dateBefore(Date date1, Date date2)
    Проверка date1 invalid input: '<' date2 (С ТОЧНОСТЬЮ ДО ДНЯ!!!)
    Внимание: если хоть одна дата null — будет false, так что null не является "бесконечностью".
    Parameters:
      `date1` - - первая дата
      `date2` - - вторая дата
    Returns:
      true - date1 invalid input: '<' date2, иначе false

  - ### dateEqual

    public static boolean dateEqual(Calendar date1, Calendar date2)
    Проверка date1 == date2 (С ТОЧНОСТЬЮ ДО ДНЯ!!!)
    Parameters:
      `date1` - - первая дата
      `date2` - - вторая дата
    Returns:
      true - date1 == date2, иначе false

  - ### dateEqual

    public static boolean dateEqual(Date date1, Date date2)
    Проверка date1 == date2 (С ТОЧНОСТЬЮ ДО ДНЯ!!!)
    Parameters:
      `date1` - - первая дата
      `date2` - - вторая дата
    Returns:
      true - date1 == date2, иначе false

  - ### dateHourEqual

    public static boolean dateHourEqual(Calendar dtime1, Calendar dtime2)
    Проверка date1 == date2 (С ТОЧНОСТЬЮ ДО ЧАСА ДНЯ!!!)
    Parameters:
      `dtime1` - - первая дата + время
      `dtime2` - - вторая дата + время
    Returns:
      true - date1 == date2, иначе false

  - ### dateBeforeOrEq

    public static boolean dateBeforeOrEq(Calendar date1, Calendar date2)
    Проверка date1 invalid input: '<'= date2 (С ТОЧНОСТЬЮ ДО ДНЯ!!!)
    Parameters:
      `date1` - - первая дата
      `date2` - - вторая дата
    Returns:
      true - date1 invalid input: '<'= date2, иначе false

  - ### dateBeforeOrEq

    public static boolean dateBeforeOrEq(Date date1, Date date2)
    Проверка date1 invalid input: '<'= date2 (С ТОЧНОСТЬЮ ДО ДНЯ!!!)
    Parameters:
      `date1` - - первая дата
      `date2` - - вторая дата
    Returns:
      true - date1 invalid input: '<'= date2, иначе false

  - ### dateInRange

    public static final boolean dateInRange(Calendar checking, Calendar date1, Calendar date2)
    Проверка входит ли проверяемая дата в заданный период (С ТОЧНОСТЬЮ ДО ДНЯ!!!).
    Внимание: рассматривается период, где null обозначает бесконечную границу периода. Если checking - null, то результат всегда false.
    Parameters:
      `checking` - проверяемая дата
      `date1` - - начало заданого периода
      `date2` - - конец заданого периода
    Returns:
      true - входит, false - нет

  - ### dateInRange

    public static final boolean dateInRange(Date checking, Date date1, Date date2)
    Проверка входит ли проверяемая дата в заданный период (С ТОЧНОСТЬЮ ДО ДНЯ!!!).
    Внимание: рассматривается период, где null обозначает бесконечную границу периода. Если checking - null, то результат всегда false.
    Parameters:
      `checking` - проверяемая дата
      `date1` - - начало заданого периода
      `date2` - - конец заданого периода
    Returns:
      true - входит, false - нет

  - ### dateInRangeWithTime

    public static final boolean dateInRangeWithTime(Date checking, Date date1, Date date2)
    Проверка входит ли проверяемая дата в заданный период с учетом времени суток
    Внимание: рассматривается период, где null обозначает бесконечную границу периода. Если checking - null, то результат всегда false.
    Parameters:
      `checking` - - проверяемая дата
      `date1` - - начало заданого периода
      `date2` - - конец заданого периода
    Returns:
      true - входит, false - нет

  - ### dateInPeriod

    public static final boolean dateInPeriod(Date checking, Period period)

  - ### dateInPeriod

    public static final boolean dateInPeriod(LocalDate checking, Period period)

  - ### dateInPeriod

    public static final boolean dateInPeriod(LocalDateTime checking, PeriodWithTime period)

  - ### convertDateToLocalDateTime

    public static final LocalDateTime convertDateToLocalDateTime(Date date)

  - ### convertDateToLocalDate

    public static final LocalDate convertDateToLocalDate(Date date)

  - ### convertLocalDateToCalendar

    public static final Calendar convertLocalDateToCalendar(LocalDate localDate)

  - ### convertLocalDateToDate

    public static final Date convertLocalDateToDate(LocalDate localDate)

  - ### convertLocalDateTimeToDate

    public static final Date convertLocalDateTimeToDate(LocalDateTime localDateTime)

  - ### convertLocalDateTimeToCalendar

    public static final Calendar convertLocalDateTimeToCalendar(LocalDateTime localDateTime)

  - ### convertLocalDateTimeToTimestamp

    public static final Timestamp convertLocalDateTimeToTimestamp(LocalDateTime localDateTime)

  - ### convertLocalDateToTimestamp

    public static final Timestamp convertLocalDateToTimestamp(LocalDate localDate)

  - ### convertSecEpochToLocalDateTime

    public static final LocalDateTime convertSecEpochToLocalDateTime(long secEpoch)

  - ### periodInRange

    public static final boolean periodInRange(Calendar checkingDate1, Calendar checkingDate2, Calendar date1, Calendar date2)
    Проверка входит ли проверяемый период в заданный
    Parameters:
      `checkingDate1` - начала проверяемого период
      `checkingDate2` - конец проверяемого периода
      `date1` - начало заданого периода
      `date2` - конец заданого периода
    Returns:
      true - входит, false - нет

  - ### periodInRange

    public static final boolean periodInRange(Date checkingDate1, Date checkingDate2, Date date1, Date date2)
    Проверка входит ли проверяемый период в заданный.
    Parameters:
      `checkingDate1` - начала проверяемого период
      `checkingDate2` - конец проверяемого периода
      `date1` - начало заданого периода
      `date2` - конец заданого периода
    Returns:
      true - входит, false - нет

  - ### moveToEndOfMonth

    public static final void moveToEndOfMonth(Calendar date)
    Устанавливает дату на последний день месяца
    Parameters:
      `date` - исходная дата

  - ### moveToStartNextDay

    public static final void moveToStartNextDay(Calendar date)
    Увеличивает date на 1 день и сбрасывает время в 00:00:00.0
    Parameters:
      `date` - исходная дата

  - ### moveToEndDay

    public static final Date moveToEndDay(Date date)
    Установка времени на конец суток, т.е. 23:59:59.999. Используется в основном в панелях с фильтрами платежей.
    Parameters:
      `date` - дата, которую необходимо установить на конец суток.
    Returns:

  - ### moveToEndDay

    public static final void moveToEndDay(Calendar date)
    Установка времени на конец суток, т.е. 23:59:59.999. Используется в основном в панелях с фильтрами платежей.
    Parameters:
      `date` - дата, которую необходимо установить на конец суток.

  - ### clearCalendarHour

    public static void clearCalendarHour(Calendar cal)

  - ### nowPlusPeriod

    public static Date nowPlusPeriod(int period, int value)
    прибавление к текущему времени нужного промежутка
    Parameters:
      `period` - в виде Calendar.FIELD
      `value` - значение поля
    Returns:
      дата полученная

  - ### plusPeriod

    public static Calendar plusPeriod(Calendar date, int period, int value)
    Прибавление к заданному значению календаря какого-то значения. С исходным объектом ничего не делается! Нужно использовать вёрнутый.
    Parameters:
      `date` - начальный календарь
      `period` - флаг из Calendar
      `value` - значение, на которое сдвинуть
    Returns:
      клон календаря, изменённый на нужный интервал

  - ### plusPeriod

    public static Date plusPeriod(Date date, int period, int value)
    Прибавление к заданному значению даты какого-то значения. С исходным объектом ничего не делается! Нужно использовать вёрнутый.
    Parameters:
      `date` - начальная дата
      `period` - флаг из Calendar
      `value` - значение, на которое сдвинуть
    Returns:
      новая дата, изменённая на нужный интервал

  - ### checkDateIntervalsIntersection

    public static boolean checkDateIntervalsIntersection(Date date1, Date date2, Date dateFrom, Date dateTo)
    Проверка пересечения двух интервалов дат. Специфика метода заключается в том, что отсутствие одной из границ интервала (т.е. равенство null) трактуется в пользу пересечения. Т.е. все методы TimeUtils, в частности dateInRange, при равенстве одного из аргумента null сразу же возвращают false, что нехорошо. Здесь же равенство null означает бесконечность (с плюсом либо с минусом). Например, на входных интервалах (01.01.2006, null) и (01.06.2007, 01.08.2007) метод вернет значение TRUE.
    Parameters:
      `date1` - левая граница первого интервала
      `date2` - правая граница первого интервала
      `dateFrom` - левая граница второго интервала
      `dateTo` - правай граница второго интервала
    Returns:

  - ### checkPeriodIntervalsIntersection

    public static boolean checkPeriodIntervalsIntersection(Period period1, Period period2)

  - ### checkPeriod

    public static void checkPeriod(Date date1, Date date2) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### compare

    public static int compare(Calendar value, Calendar compare, int field)

  - ### clearToBeginDay

    public static long clearToBeginDay(Calendar date)
    Получает дату-календарь, возвращает временную точку (в таймштампе), которая является началом указанного дня.
    Parameters:
      `date` - дата какая-то (Calendar)
    Returns:
      время(миллисекунды)

  - ### floor

    public static void floor(Calendar calendar, int field)
    Округление в меньшую сторону до указанного поля.
    floor( calendar, Calendar.DATE ) аналогична `clear_HOUR_MIN_MIL_SEC(Calendar)`.
    Parameters:
      `calendar` -
      `field` -

  - ### formatCount

    public static String formatCount(int field, int count)

  - ### subtractHoursFromNow

    public static Date subtractHoursFromNow(int hours)
    Вычетает заданое количество часов из текущего времени
    Parameters:
      `hours` -
    Returns:

  - ### timeInRange

    public static final boolean timeInRange(Date checking, Date date1, Date date2)

  - ### rountToSeconds

    public static long rountToSeconds(long millis)

  - ### convertDateToMillisFrom

    public static final long convertDateToMillisFrom(Calendar utilCalendar, Date dateFrom)
    Конвертирует дату в миллисекунды начала (подневного) периода
    Parameters:
      `utilCalendar` -
      `dateFrom` -
    Returns:

  - ### convertDateToMillisTo

    public static final long convertDateToMillisTo(Calendar utilCalendar, Date dateTo)
    Конвертирует дату в миллисекунды конца (подневного) периода
    Parameters:
      `utilCalendar` -
      `dateTo` -
    Returns:

  - ### convertMillisToDate

    public static final Date convertMillisToDate(long millis)
    Преобразует дату в миллисекундах в `Date`. 0 преобразуется в NULL.
    Parameters:
      `millis` -
    Returns:

  - ### convertMillisToCalendar

    public static final Calendar convertMillisToCalendar(long millis)
    Преобразует дату в миллисекундах в `Calendar`. 0 преобразуется в NULL.
    Parameters:
      `millis` -
    Returns:

  - ### hourToMillis

    public static long hourToMillis(long millis)
    Возвращает количество милисекунд на границе часа.
    Parameters:
      `millis` -
    Returns:

  - ### formatSecondsToDayHourMinute

    public static String formatSecondsToDayHourMinute(long seconds)

  - ### checkMonthAndYearDates

    public static boolean checkMonthAndYearDates(Date date1, Date date2)
    Проверяет принадлежат ли обе даты одному месяцу и году
    Parameters:
      `date1` - первая дата
      `date2` - вторая дата
    Returns:
      true - принадлежат; false - иначе

  - ### checkMonthAndYearAndDaysDates

    public static boolean checkMonthAndYearAndDaysDates(Date date1, Date date2)
    Проверяет принадлежат ли обе даты одному месяцу, году и дню
    Parameters:
      `date1` - первая дата
      `date2` - вторая дата
    Returns:
      true - принадлежат; false - иначе

  - ### getPeriodFrom

    public static LocalDate getPeriodFrom(LocalDate date, String mode, int value)

  - ### getPeriodTo

    public static LocalDate getPeriodTo(LocalDate date, String mode, int value)